%define major 6
%define libxtst %mklibname xtst %major
%define devxtst %mklibname xtst -d

Name: libxtst
Summary:  The Xtst Library
Version: 1.2.4
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXtst-%{version}.tar.xz
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi) >= 1.3
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xmlto 
BuildRequires: docbook-dtd412-xml

%description
The Xtst Library

#-----------------------------------------------------------

%package -n %{libxtst}
Summary:  The Xtst Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxtst}
The Xtst Library

%files -n %{libxtst}
%{_libdir}/libXtst.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxtst}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxtst} = %{version}-%{release}
Provides: libxtst-devel = %{version}-%{release}
Obsoletes: %{_lib}xtst6-devel < 1.2.2-2
Obsoletes: %{_lib}xtst6-static-devel < 1.2.2-2

%description -n %{devxtst}
Development files for %{name}

%files -n %{devxtst}
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XTest*
%{_datadir}/doc/libXtst

#-----------------------------------------------------------

%prep
%setup -q -n libXtst-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.2.4-1.mga9
+ Revision: 1901782
- 1.2.4

* Thu Mar 24 2022 umeabot <umeabot> 1.2.3-4.mga9
+ Revision: 1825348
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.2.3-3.mga8
+ Revision: 1514678
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.3-2.mga7
+ Revision: 1299275
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 1.2.3-1.mga6
+ Revision: 1058897
- new release

* Fri Feb 05 2016 umeabot <umeabot> 1.2.2-6.mga6
+ Revision: 939713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 738803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 681903
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-3.mga4
+ Revision: 532708
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.2.2-2.mga4
+ Revision: 469346
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.2.2-1.mga4
+ Revision: 433636
- BR xfixes-devel
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 358661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 222266
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.2.0-2.mga2
+ Revision: 170009
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 6165
- imported package libxtst


* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 590464
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 1.1.0-2mdv2010.1
+ Revision: 465976
- xtst should requires xi

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 464157
- Add xmlto to BuildRequires
- New version: 1.1.0

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-4mdv2010.0
+ Revision: 425938
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-3mdv2009.0
+ Revision: 223088
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 153778
- Update BuildRequires and submit

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 65412
- new upstream version

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.2-1mdv2008.0
+ Revision: 43195
- new upstream version: 1.0.2


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

